Subject: Re: [BUG] 2.46.0 t7701.09 fails on NonStop ia64

From: Taylor Blau <[email-masked]>
Date: Thu, 1 Aug 2024 15:23:05 -0400

On Thu, Aug 01, 2024 at 02:03:31PM -0400, [email-masked] wrote:
> Hi Team,
>
> I think this is low priority but would like to understand the situation. It
> only happens on NonStop ia64 (consistently), not x86.
>
> The t7701.09 subtest fails missing files:

Hmm. Script t7701 only has 8 sub-tests, but I think you're referring to
t7704.9
>
> Total 3 (delta 0), reused 3 (delta 0), pack-reused 0 (from 0)
> ls: cannot access '.git/objects/pack/pack-*.mtimes': No such file or
> directory
> test_line_count: line count for cruft.after != 2
> not ok 9 - --max-cruft-size with pruning
>
> The test directory contains:
> ./.git/objects/pack
> ./.git/objects/pack/pack-68c6c8c8538900694c32380ac1484201c8b60d8d.idx
> ./.git/objects/pack/pack-68c6c8c8538900694c32380ac1484201c8b60d8d.pack
> ./.git/objects/pack/pack-68c6c8c8538900694c32380ac1484201c8b60d8d.rev

Interesting. Can you attach the full -vx output of this test, as well as
a ls -la from $GIT_DIR/objects/pack?

I suspect that this is a mtime resolution issue in whatever filesystem
is in use in your ia64 environment, but the full logs will help us
confirm that, or at least point is in a better direction.

Thanks in advance.

Thanks,
Taylor